| QxOrm 1.2.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Defines | Functions
mem_leak.h File Reference
`#include "debug_new.h"`

Go to the source code of this file.

## Defines
#define | _DEBUG_NEW_REDEFINE_NEW 0
#define | QX_MEM_LEAK_STATIC_OR_INLINE inline
#define | new DEBUG_NEW
## Functions
QX_MEM_LEAK_STATIC_OR_INLINE void * | operator new (size_t size) throw (std::bad_alloc)
QX_MEM_LEAK_STATIC_OR_INLINE void * | operator new[] (size_t size) throw (std::bad_alloc)
QX_MEM_LEAK_STATIC_OR_INLINE void | operator delete (void *pointer) throw ()
QX_MEM_LEAK_STATIC_OR_INLINE void | operator delete[] (void *pointer) throw ()
QX_MEM_LEAK_STATIC_OR_INLINE void | operator delete (void *pointer, const std::nothrow_t &) throw ()
QX_MEM_LEAK_STATIC_OR_INLINE void | operator delete[] (void *pointer, const std::nothrow_t &) throw ()

## Define Documentation

#define _DEBUG_NEW_REDEFINE_NEW 0

Definition at line 38 of file mem_leak.h.

#define new DEBUG_NEW

Definition at line 66 of file mem_leak.h.

#define QX_MEM_LEAK_STATIC_OR_INLINE inline

Definition at line 49 of file mem_leak.h.

## Function Documentation

QX_MEM_LEAK_STATIC_OR_INLINE void operator delete | ( | void * | pointer | ) | throw ()

Definition at line 55 of file mem_leak.h.

QX_MEM_LEAK_STATIC_OR_INLINE void operator delete | ( | void * | pointer,
|  | const std::nothrow_t & |
| ) |  | throw ()

Definition at line 59 of file mem_leak.h.

QX_MEM_LEAK_STATIC_OR_INLINE void operator delete[] | ( | void * | pointer | ) | throw ()

Definition at line 56 of file mem_leak.h.

QX_MEM_LEAK_STATIC_OR_INLINE void operator delete[] | ( | void * | pointer,
|  | const std::nothrow_t & |
| ) |  | throw ()

Definition at line 60 of file mem_leak.h.

QX_MEM_LEAK_STATIC_OR_INLINE void* operator new | ( | size_t | size | ) | throw (std::bad_alloc)

Definition at line 53 of file mem_leak.h.

QX_MEM_LEAK_STATIC_OR_INLINE void* operator new[] | ( | size_t | size | ) | throw (std::bad_alloc)

Definition at line 54 of file mem_leak.h.